org.apache.commons.imaging.formats.tiff.constants

## Class GeoTiffTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.GeoTiffTagConstants

-     public final class GeoTiffTagConstants
      extends Object

  Geo Tiff.
  http://www.remotesensing.org/geotiff/spec/contents.html

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<TagInfo>` | `ALL_GEO_TIFF_TAGS`
    `static TagInfoAscii` | `EXIF_TAG_GEO_ASCII_PARAMS_TAG`
    `static TagInfoDoubles` | `EXIF_TAG_GEO_DOUBLE_PARAMS_TAG`
    `static TagInfoShorts` | `EXIF_TAG_GEO_KEY_DIRECTORY_TAG`
    `static TagInfoDoubles` | `EXIF_TAG_INTERGRAPH_MATRIX_TAG`
    `static TagInfoDoubles` | `EXIF_TAG_MODEL_PIXEL_SCALE_TAG`
    `static TagInfoDoubles` | `EXIF_TAG_MODEL_TIEPOINT_TAG`
    `static TagInfoDoubles` | `EXIF_TAG_MODEL_TRANSFORMATION_TAG`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXIF_TAG_MODEL_PIXEL_SCALE_TAG

          public static final TagInfoDoubles EXIF_TAG_MODEL_PIXEL_SCALE_TAG

    - #### EXIF_TAG_INTERGRAPH_MATRIX_TAG

          public static final TagInfoDoubles EXIF_TAG_INTERGRAPH_MATRIX_TAG

    - #### EXIF_TAG_MODEL_TIEPOINT_TAG

          public static final TagInfoDoubles EXIF_TAG_MODEL_TIEPOINT_TAG

    - #### EXIF_TAG_MODEL_TRANSFORMATION_TAG

          public static final TagInfoDoubles EXIF_TAG_MODEL_TRANSFORMATION_TAG

    - #### EXIF_TAG_GEO_KEY_DIRECTORY_TAG

          public static final TagInfoShorts EXIF_TAG_GEO_KEY_DIRECTORY_TAG

    - #### EXIF_TAG_GEO_DOUBLE_PARAMS_TAG

          public static final TagInfoDoubles EXIF_TAG_GEO_DOUBLE_PARAMS_TAG

    - #### EXIF_TAG_GEO_ASCII_PARAMS_TAG

          public static final TagInfoAscii EXIF_TAG_GEO_ASCII_PARAMS_TAG

    - #### ALL_GEO_TIFF_TAGS

          public static final List<TagInfo> ALL_GEO_TIFF_TAGS

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.